<bugID>506925<Summary>Implement context menu for location bar yellow star (bookmark this page/edit bookmark, show bookmark in Library, remove bookmark) [make all bookmarks properties accessible]</Summary><Description>For the yellow star in location bar, implement a context menu that provides intuitive and fast access to (additional) functions involving the bookmark.
Have a look and try it out yourself in the mock-up context menu which I have attached to this comment.

For an existing bookmark, the context meny of the yellow star should at least have the following options:
- Edit this bookmark (default)
- Organize Bookmarks (will open the bookmark in the Library)
- Remove this bookmark 
Having "Organize Bookmarks" on the context menu (which will select the bookmark in the library) might be a low-cost workaround fix for the justified complaint of bug 405795 where users are frustrated that they can't access all properties of a bookmark from the yellow star (in fact, there's NO place in FF where you can edit ALL properties of a bookmark directly, but that's another story).

For a URL which hasn't been bookmarked yet, the grey star's context menu should at least have the following commands
- Bookmark this page

The current context menu of the star shows toolbar customization options, which doesn't feel right on such an outstanding object like the bookmarking star.
Comments on the proposed UI are welcome.</Description></bugID>